Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# log4cplus::RollingFileAppender Class Reference

RollingFileAppender extends FileAppender to backup the log files when they reach a certain size. More...

`#include <fileappender.h>`

Inheritance diagram for log4cplus::RollingFileAppender:

[legend]
Collaboration diagram for log4cplus::RollingFileAppender:

[legend]
List of all members.

## Public Member Functions
| RollingFileAppender (const log4cplus::tstring &filename, long maxFileSize=10 *1024 *1024, int maxBackupIndex=1, bool immediateFlush=true)
| RollingFileAppender (const log4cplus::helpers::Properties &properties)
virtual | ~RollingFileAppender ()
## Protected Member Functions
virtual void | append (const spi::InternalLoggingEvent &event)
void | rollover ()
## Protected Attributes
long | maxFileSize
int | maxBackupIndex

## Detailed Description

RollingFileAppender extends FileAppender to backup the log files when they reach a certain size.

Definition at line 86 of file fileappender.h.

## Constructor & Destructor Documentation

log4cplus::RollingFileAppender::RollingFileAppender | ( | const log4cplus::tstring & | filename,
|  | long | maxFileSize = 10 *1024 *1024,
|  | int | maxBackupIndex = 1,
|  | bool | immediateFlush = true
| ) |

log4cplus::RollingFileAppender::RollingFileAppender | ( | const log4cplus::helpers::Properties & | properties | ) |

virtual log4cplus::RollingFileAppender::~RollingFileAppender | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void log4cplus::RollingFileAppender::append | ( | const spi::InternalLoggingEvent & | event | ) | `[protected, virtual]`

| Reimplemented from log4cplus::FileAppender.

void log4cplus::RollingFileAppender::rollover | ( |  | ) | `[protected]`

## Member Data Documentation

int log4cplus::RollingFileAppender::maxBackupIndex`[protected]`

| Definition at line 104 of file fileappender.h.

long log4cplus::RollingFileAppender::maxFileSize`[protected]`

| Definition at line 103 of file fileappender.h.

The documentation for this class was generated from the following file:

- fileappender.h